vue-cli使用 babel-polyfill 解决 vuex requires a Promise polyfill in this browser

vue-cli使用 babel-polyfill 解决 vuex requires a Promise polyfill in this browser

用vue-cli搭建了一套vue的开发框架,完成开发、联调和上线后,问题来了:chrome、火狐浏览器下都能正常显示的页面,在IE浏览器下愣就显示不出来了,而且控制台有一个红色的报错警示:vuex requires a Promise polyfill in this browser。也就是说ie9和一些低版本的高级浏览器对es6新语法并不支持。解决方法,使用 babel-
浏览:320 分类:Vuejs 标签: vue-cli babel-polyfill
babel简单介绍

babel简单介绍

        babel是一个javascript的编译器,他可以把其他语言编译成javascript,比如把es6的代码编译成es5的。        使用babel的时候,要注意与其相关的内容:babel-core、plugins、presets、.babelrc。        babel-core:就是babel运行起来的核心,相当于babel运行的底层。   
浏览:715 分类:构建工具 标签: babel

邮箱快速注册

忘记密码